Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObservableList.MultiElementAddedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableList.ElementEvent
                  groovy.util.ObservableList.MultiElementAddedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableList

    public static class ObservableList.MultiElementAddedEvent

extends ObservableList.ElementEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.util.ObservableList.ElementEvent
`ADDED, CLEARED, MULTI_ADD, MULTI_REMOVE, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ObservableList.MultiElementAddedEvent(Object source, int index, List values)`

Method Summary
`List` | `getValues()`

Methods inherited from class groovy.util.ObservableList.ElementEvent
`getIndex, getType, getTypeAsString`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObservableList.MultiElementAddedEvent

    public ObservableList.MultiElementAddedEvent(Object source,
                                                 int index,
                                                 List values)

Method Detail

### getValues

    public List getValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD